%global momorel 2
%define __libtoolize :

Summary: personal photo management application
Name: f-spot
Version: 0.5.0.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://f-spot.org/Main_Page
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: mono-devel >= 2.0
BuildRequires: libgnome-devel >= 2.24.1
BuildRequires: libgnomeui-devel >= 2.24.0
BuildRequires: libexif-devel >= 0.6.16
BuildRequires: gtk-sharp2-devel >= 2.12.4
BuildRequires: gnome-sharp-devel >= 2.24.0
BuildRequires: beagle >= 0.3.8
BuildRequires: ndesk-dbus >= 0.6.0
BuildRequires: ndesk-dbus-glib >= 0.4.1
BuildRequires: mono-core >= 2.0
BuildRequires: lcms-devel >= 1.17
BuildRequires: libgphoto2-devel >= 2.4.0
BuildRequires: gnome-icon-theme >= 2.24.0

BuildRequires: gtk2-devel
BuildRequires: sqlite-devel
BuildRequires: GConf2
BuildRequires: libjpeg

%description
F-Spot is a full-featured personal photo management application for
the GNOME desktop (http://www.gnome.org/).

%package devel
Summary: f-spot devel
Group: Development/Libraries
Requires: %{name} >= %{version}
Requires: gtk-sharp2-devel >= 2.12.4

%description devel
F-Spot devel package

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-schemas-install \
    --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi
rarian-sk-update

%postun
/sbin/ldconfig
rarian-sk-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%{_bindir}/f-spot*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.dll*
%{_libdir}/%{name}/*.exe*
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.la

# maybe %%{_prefix}/lib
%{_libdir}/gio-sharp-unstable

%dir %{_libdir}/%{name}/extensions
%{_libdir}/%{name}/extensions/*.dll
%{_libdir}/%{name}/extensions/DefaultExporters.addin.xml
%{_libdir}/%{name}/f-spot.global.addins
%{_libexecdir}/gnome-screensaver/f-spot-screensaver
%{_datadir}/applications/f-spot-view.desktop
%{_datadir}/applications/f-spot.desktop
%{_datadir}/applications/screensavers/f-spot-screensaver.desktop
%{_datadir}/applications/f-spot-import.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_datadir}/omf/%{name}

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}/libfspot.so
%{_libdir}/%{name}/libfspoteog.so
%{_libdir}/%{name}/libfspotjpegtran.so
%{_libdir}/pkgconfig/f-spot.pc
%{_libdir}/pkgconfig/gio-sharp-unstable.pc

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0.3-2m)
- rebuild against rpm-4.6

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0.3-1m)
- update to 0.5.0.3

* Thu Oct  9 2008 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0.2-1m)
- update to 0.5.0.2

* Sun Oct  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0.1-1m)
- update to 0.5.0.1

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-2m)
- add Prereq: gtk2-common

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4

* Thu May 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3.1-2m)
- fix desktop

* Thu May  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3.1-1m)
- update to 0.4.3.1

* Wed Apr 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Sun Apr 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2.20080413-1m)
- get from svn

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.2-2m)
- rebuild against gcc43

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Wed Dec  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-1m)
- update to 0.3.5

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-1m)
- update to 0.3.3

* Tue Jan 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Thu Nov 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-2m)
- delete patch0 (not used)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-1m)
- initial build for Momonga Linux
